# vk-mini-app-auth

<!-- markdownlint-disable -->
![vk-mini-app-auth](https://socialify.git.ci/swimmwatch/vk-mini-app-auth/image?description=1&font=Raleway&language=1&name=1&owner=1&pattern=Brick%20Wall&theme=Dark)

<div align="center">
  <p>
    <a href="https://pypi.org/project/vk-mini-app-auth">
        <img src="https://img.shields.io/pypi/v/vk-mini-app-auth.svg" alt="PyPI">
    </a>
    <a href="pyproject.toml">
        <img src="https://img.shields.io/pypi/pyversions/vk-mini-app-auth" alt="Supported Python Versions">
    </a>
    <br/>
    <a href="LICENSE">
        <img src="https://img.shields.io/github/license/swimmwatch/vk-mini-app-auth" alt="License">
    </a>
    <a href="https://github.com/ambv/black">
        <img src="https://img.shields.io/badge/code%20style-black-black" alt="Code style">
    </a>
    <a href="https://github.com/pycqa/flake8">
        <img src="https://img.shields.io/badge/lint-flake8-black" alt="Linter">
    </a>
    <a href="https://github.com/python/mypy">
        <img src="https://img.shields.io/badge/type%20checker-mypy-black" alt="Type checker">
    </a>
    <a href="https://snyk.io/advisor/python/vk-mini-app-auth">
        <img src="https://snyk.io/advisor/python/vk-mini-app-auth/badge.svg" alt="Package health">
    </a>
    <br/>
    <a href="https://github.com/swimmwatch/vk-mini-app-auth/actions/workflows/python-check.yml">
        <img src="https://github.com/swimmwatch/vk-mini-app-auth/actions/workflows/python-check.yml/badge.svg" alt="Tests">
    </a>
    <a href="https://codecov.io/github/swimmwatch/vk-mini-app-auth" target="_blank">
        <img src="https://codecov.io/github/swimmwatch/vk-mini-app-auth/graph/badge.svg?token=M638BMDY5V" alt="Coverage">
    </a>
    <a href="https://github.com/swimmwatch/vk-mini-app-auth/actions/workflows/release.yml">
        <img src="https://github.com/swimmwatch/vk-mini-app-auth/actions/workflows/release.yml/badge.svg" alt="Release">
    </a>
    <a href="https://github.com/swimmwatch/vk-mini-app-auth/actions/workflows/docs.yml">
        <img src="https://github.com/swimmwatch/vk-mini-app-auth/actions/workflows/docs.yml/badge.svg" alt="Docs">
    </a>
  </p>
</div>
<!-- markdownlint-enable -->

This Python package implements [VK Mini Apps authentication algorithms](https://dev.vk.com/en/mini-apps/development/launch-params-sign).
It is designed to be simple and easy to use, providing a straightforward way to authenticate users in VK Mini Apps.

## Features
- **Easy to use**: The package is designed to be simple and intuitive, making it easy to integrate into your VK Mini App.
- **Secure**: It implements the authentication algorithms as described in the VK Mini Apps documentation, ensuring that your app's authentication is secure.
- **Lightweight**: The package is small and does not have any external dependencies, making it easy to include in your project without adding unnecessary bloat.
- **Type hints**: The package is fully typed, providing better code completion and type checking in your IDE.
- **Well-documented**: The package comes with comprehensive documentation, making it easy to understand how to use it effectively.
- **Tested**: The package includes unit tests to ensure that it works correctly and reliably.
- **Supports Python 3.9+**: The package is compatible with Python 3.9 and later versions, ensuring that it works with modern Python environments.
- **Open source**: The package is open source and licensed under the MIT License, allowing you to use it freely in your projects.

## Requirements
- Python 3.9 or later
- No external dependencies

## Installation
```bash
pip install vk-mini-app-auth
# or
poetry add vk-mini-app-auth
# or
uv add vk-mini-app-auth
```

## Documentation
For detailed documentation, please visit the [vk-mini-app-auth documentation](https://swimmwatch.github.io/vk-mini-app-auth/).

## License
`vk-mini-app-auth` is licensed under the [MIT License](LICENSE).
